      character*(*) function reshow (resid)

      character*(*) resid

c show residual

      if (resid .eq. '9999') then
        reshow = ' '
      else
        if (resid(:3) .eq. '  -') then
          reshow = ' -0.'//resid(4:)
        else
          reshow = resid(:3)//'.'//resid(4:)
          call exchange (reshow(3:5), ' ', '0')
        end if
      end if
      return
      end
